<< sos2ss | FOSSEE_Signal_Processing_Toolbox | sos2zp >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > sos2tf

# sos2tf

This function converts series second-order sections to direct H(z) = B(z)/A(z) form.

### Syntax

    [B] = sos2tf(sos)
    [B] = sos2tf(sos, g)
    [B,A] = sos2tf(...)

### Parameters

sos:

  matrix of real or complex numbers

g:

  real or complex value, default value is 1

### Description

This function converts series second-order sections to direct H(z) = B(z)/A(z) form. The input is the sos matrix and the second parameter is the overall gain, default value of which is 1. The output is a vector.

### Examples

    sos = [1  1  1  1  0 -1; -2  3  1  1 10  1]
    [b,a] = sos2tf(sos)

Report an issue
<< sos2ss | FOSSEE_Signal_Processing_Toolbox | sos2zp >>